| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# scfg_make Make the rules for a stochastic context free grammar

## Synopsis

scfg_make [options] [-nonterms `string`] [-terms `string`] [-domain `string` " {nlogp}"] [-values `string` " {equal}"] [-o `ofile`]

Builds a stochastic context free grammar from a vocabulary of non-terminal and testminal symbols. An exhaustive set of all possible binary rules are generated with random (or equal) probabilities (or negative log probabilities). This program is designed for making grammars that can be trained using scfg_train.

## OPTIONS

> -nonterms | `string` Number of nonterminals or file containing them
> -terms | `string` Number of terminals or file containing them
> -domain | `string` " {nlogp}" Values to be nlogp (negative log probabilities) or prob (probabilities)
> -values | `string` " {equal}" General initial scores on rules as equal or random
> -o | `ofile` File to save grammar (default stdout)

Prev | Home | Next
wfst_run Run a weighted finite-state transducer | Up | scfg_train Train the parameters of a stochastic context free grammar